package com.docus.soap.api;

import org.springframework.context.annotation.AdviceMode;
import org.springframework.context.annotation.AdviceModeImportSelector;

public class EnableSoapAPIClientSelector extends AdviceModeImportSelector<EnableSoapAPIClient> {

    @Override
    protected String[] selectImports(AdviceMode adviceMode) {
        if (adviceMode != AdviceMode.PROXY) {
            throw new IllegalStateException("@EnableSoapAPIClient only support PROXY advice mode.");
        }
        return new String[]{SoapAPIConfig.class.getName()};
    }
}
